Page MenuHomePhabricator

Archive the TagContent extension
Closed, ResolvedPublicRequest

Description

Reason
Extension was imported to gerrit on Oct 6 - https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/TagContent
mediawiki.org page gets archived template on Oct 4 - https://www.mediawiki.org/w/index.php?title=Extension:TagContent&oldid=3441178

I am not sure if this should be archived or reactivated.
Please leave a comment if it should exists on gerrit or not. Thanks.

https://www.mediawiki.org/wiki/Gerrit/New_repositories/Requests/Archive/2019

To-do list

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptJan 17 2020, 7:01 PM
Dinoguy1000 updated the task description. (Show Details)EditedJan 17 2020, 9:54 PM
Dinoguy1000 added a subscriber: Dinoguy1000.

The extension was marked archived by its author/maintainer (@jeblad), so I'd call that good enough reason to go through with the whole archival checklist here. Even ignoring that, though, the last version was released in 2010, and there's a good chance it doesn't work with any supported version of MediaWiki (though if someone wants to test, feel free).

Actually, I feel some clarification might be needed here: @jeblad was the one that added the request for TagContent to be imported into Gerrit.

MGChecker updated the task description. (Show Details)Jan 18 2020, 12:38 AM
MGChecker added a subscriber: MGChecker.

I did the Wikidata stuff. The other points I checked were already done (can't delete anything that has never been there).

Zoranzoki21 updated the task description. (Show Details)Jan 19 2020, 2:37 AM
Zoranzoki21 updated the task description. (Show Details)Jan 23 2020, 4:20 AM

Change 566642 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/TagContent@master] Archive TagContent extension

https://gerrit.wikimedia.org/r/566642

Change 566643 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions@master] Archive TagContent extension

https://gerrit.wikimedia.org/r/566643

Change 566800 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [mediawiki/extensions/TagContent] Archive repo

https://gerrit.wikimedia.org/r/566800

Change 566800 merged by jenkins-bot:
[integration/config@master] layout: [mediawiki/extensions/TagContent] Archive repo

https://gerrit.wikimedia.org/r/566800

Change 566643 merged by Jforrester:
[mediawiki/extensions@master] Archive TagContent extension

https://gerrit.wikimedia.org/r/566643

Change 566642 merged by jenkins-bot:
[mediawiki/extensions/TagContent@master] Archive TagContent extension

https://gerrit.wikimedia.org/r/566642

Mentioned in SAL (#wikimedia-releng) [2020-01-23T17:17:52Z] <James_F> layout: [mediawiki/extensions/TagContent] Archive repo T243093

Jdforrester-WMF closed this task as Resolved.Jan 23 2020, 5:20 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF removed a project: Patch-For-Review.